Skip to content
Install app
English
  • English
  • FrançaisSoon
  • DeutschSoon
  • EspañolSoon
  • ItalianoSoon
  • Português (Brasil)Soon
  • Português (Portugal)Soon
  • 日本語Soon
  • 한국어Soon
  • 简体中文Soon
  • 繁體中文Soon
  • NederlandsSoon
  • DanskSoon
  • SuomiSoon
  • Norsk (bokmål)Soon
  • PolskiSoon
  • ČeštinaSoon
  • TürkçeSoon

[DELETE] Delete product

* Authentication

Required Authorization

Limit throttle: 30,1

Endpoint DELETE - /shop-api/pre-order/products/delete

Headers

HeaderRequiredDescription
AuthorizationYesShop public API key Bearer token
Content-TypeYesapplication/json

1. Request Payload

FieldTypeRequiredDescription
idsarrayYes max:100Product line DB IDs to delete (min 1)
ids.*integer | stringYesEach line ID from List Products

Example — delete one line

{"ids": [5012]}

Example — bulk delete

{"ids": [5012, 5013, 5014]}

2. Success Response 200

{"success": true,"message": "Product deleted"}

3. Response Keys & Fields

Top-level

KeyTypeDescription
successbooleantrue when delete succeeds
messagestringSuccess message

Request field reference

FieldTypeDescription
idsarrayInternal product-line IDs (products.id), not Shopify IDs

4. Failed Response

Validation error — HTTP 200

{"success": false,"message": {"ids": ["The ids field is required."]}}

Products not found — HTTP 200

None of the given IDs exist for this shop.

{"success": false,"message": "Products not found"}

Unexpected server error — HTTP 200

{"success": false,"message": "Something went wrong"}

Was this helpful?

Report an issue